<?php

require('nastaveni.php');

$zacatek = getMicrotime();

function exception_handler($exception) {
  html("Došlo k chybě: " . $exception->getMessage());
  //header("Location: chyba_db.php");
  exit();
}

set_exception_handler('exception_handler');


if (empty($_SERVER['HTTP_ACCEPT'])) {
	$mimeTyp = 'application/xhtml+xml';
} else {
	$mimeTyp = (( stristr( $_SERVER['HTTP_ACCEPT'], 'application/xhtml+xml' ) && !preg_match("/application\/xhtml\+xml;\s*q=0(\.0)?\s*(,|$)/",$_SERVER['HTTP_ACCEPT']) ) ? 'application/xhtml+xml' : 'text/html' );
}
header("Content-Type: $mimeTyp");

/** $nadpis = titulek stránky + h1 */
function zahlavi($nadpis) {
	global $mimeTyp;
	
	html('<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
  <head>
    <meta http-equiv="content-language" content="cs"/>
    <meta http-equiv="content-type" content="' . $mimeTyp . '; charset=UTF-8"/>
    <meta name="GOOGLEBOT" content="NOINDEX, NOFOLLOW"/>
    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW"/>
    <link href="styl.css" type="text/css" rel="StyleSheet"/>
    <title>' . $nadpis . '</title>
  </head>
  <body>  
<h1>' . $nadpis . '</h1>');
}

function zapati() {
    html('</body>');
    htmlInfoKomentar();
    html('</html>');
}

function htmlInfoKomentar() {	
	global $zacatek, $mimeTyp, $NASTAVENI;
	$konec = getMicrotime();
	html('<!--');
	html('Stránka: ' . $_SERVER['REQUEST_URI']);
	html('Klient:  ' . $_SERVER['REMOTE_ADDR']);
	html('MIME:    ' . $mimeTyp);
	html("Začátek zpracování: $zacatek");
	html("Konec zpracování:   $konec");
	html('Doba zpracování:    ' . ($konec - $zacatek) . 's');
	html('Není potřeba hackovat, zdrojáky jsou k dispozici ;-)');
	html('http://hg.vps.frantovo.cz/veverka.ch/');
	html('-->');
}

function htmlOdstavec($text) {
	html("<p>\n$text\n</p>");
}

function html($text) {	
	global $stranka;	
	/** Odstraníme odkazy, které vedou na tutéž stránku */
	$text = str_replace(' href="' . $stranka . '"', '', $text);
	
	echo("$text\n");
}

function htmlZnacka($znacka, $text) {
	html("<$znacka>$text</$znacka>");
}

function htmlTlacitkovyOdkaz($url, $text) {
	html('<form action="' . $url . '"><fieldset><button>' . $text . '</button></fieldset></form>');
}

function sqlZjistiHodnotu($dotaz, $parametry = null) {
	global $db;
	
	$dotaz = $db->prepare($dotaz);
	
	if ($parametry != null) {
		for($i = 0; $i < count($parametry); $i++) {
			$dotaz->bindParam($i+1, $parametry[$i]);
		}
	}
	
	$dotaz->execute();
	$r = $dotaz->fetchAll();
	
	foreach ($r as $x) {
		return $x[0];		
	}
	return null;
}

function getMicrotime(){
   list($usec, $sec) = explode(" ",microtime());
   return ((float)$usec + (float)$sec);
} 

function logujChybu($popis, $chyba = null) {
	htmlOdstavec($popis);
}

?>
